#include <iostream>
#include <stdlib.h>
#include <stdio.h>
using namespace std;
#define MAXN 1000000
int v[MAXN+25];
int main()
{
    int n,k,i,j,val1=0,val2=0;
    scanf("%d%d",&n,&k);
    for(i=1 ; i<=n ; i++){
        scanf("%d",&v[i]);
    }
    if(k==1){
        for(i=1 ; i<=n ; i++){
            val1|=v[i];
        }
        printf("%d",val1);
    }
    return 0;
}
